Package com.emc.documentum.rest.view

# Class ViewParams

java.lang.Object
com.emc.documentum.rest.view.ViewParams

public final class ViewParams extends Object
View parameters set to in the 'others' parameter of a view class.

See Also:
  - `LinkableView`
  - `EntryableView`
  - `FeedableView`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BASE_TYPE`
  For internal use
  `static final String`
  `CHILD_TYPE`
  For internal use
  `static final String`
  `CONTAINER_OBJECT`
  For internal use
  `static final String`
  `CONTAINER_OBJECT_ID`
  For internal use
  `static final String`
  `CONTROLLER_CLASS`
  For internal use
  `static final String`
  `CUSTOM_LINKS`
  For internal use
  `static final String`
  `DQL_TYPES`
  For internal use
  `static final String`
  `ENTRY_INDEX`
  For internal use
  `static final String`
  `FROM_SNAPSHOT_NODES_COLLECTION`
  `static final String`
  `IS_RAW`
  For internal use
  `static final String`
  `LINK_TO_PARENT`
  For internal use
  `static final String`
  `MODEL_CLASS`
  For internal use
  `static final String`
  `PARENT_TYPE`
  For internal use
  `static final String`
  `POST_FROM_COLLECTION`
  Set this parameter to true in a resource controller method where the HTTP POST method is used to create a new resource.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### POST_FROM_COLLECTION

    public static final String POST_FROM_COLLECTION
    Set this parameter to true in a resource controller method where the HTTP POST method is used to create a new resource. The sample usage in a resource controller method is as below:
    Map<String, Object> otherParams = new HashMap<String, Object>(); otherParams.put(ViewParams.POST_FROM_COLLECTION, true); return getRenderedObject(repositoryName, newFolderLink, true, uriInfo, otherParams);
    See Also:
      - Constant Field Values

  - ### ENTRY_INDEX

    public static final String ENTRY_INDEX
    For internal use
    See Also:
      - Constant Field Values

  - ### BASE_TYPE

    public static final String BASE_TYPE
    For internal use
    See Also:
      - Constant Field Values

  - ### DQL_TYPES

    public static final String DQL_TYPES
    For internal use
    See Also:
      - Constant Field Values

  - ### IS_RAW

    public static final String IS_RAW
    For internal use
    See Also:
      - Constant Field Values

  - ### MODEL_CLASS

    public static final String MODEL_CLASS
    For internal use
    See Also:
      - Constant Field Values

  - ### CONTROLLER_CLASS

    public static final String CONTROLLER_CLASS
    For internal use
    See Also:
      - Constant Field Values

  - ### CUSTOM_LINKS

    public static final String CUSTOM_LINKS
    For internal use
    See Also:
      - Constant Field Values

  - ### PARENT_TYPE

    public static final String PARENT_TYPE
    For internal use
    See Also:
      - Constant Field Values

  - ### CHILD_TYPE

    public static final String CHILD_TYPE
    For internal use
    See Also:
      - Constant Field Values

  - ### LINK_TO_PARENT

    public static final String LINK_TO_PARENT
    For internal use
    See Also:
      - Constant Field Values

  - ### CONTAINER_OBJECT

    public static final String CONTAINER_OBJECT
    For internal use
    See Also:
      - Constant Field Values

  - ### CONTAINER_OBJECT_ID

    public static final String CONTAINER_OBJECT_ID
    For internal use
    See Also:
      - Constant Field Values

  - ### FROM_SNAPSHOT_NODES_COLLECTION

    public static final String FROM_SNAPSHOT_NODES_COLLECTION
    See Also:
      - Constant Field Values